import BaseComponent from 'primevue/basecomponent';
import { openBlock, createElementBlock, mergeProps, renderSlot, createCommentVNode, createElementVNode } from 'vue';

var script = {
    name: 'Card',
    extends: BaseComponent
};

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return (openBlock(), createElementBlock("div", mergeProps({ class: "p-card p-component" }, _ctx.ptm('root')), [
    (_ctx.$slots.header)
      ? (openBlock(), createElementBlock("div", mergeProps({
          key: 0,
          class: "p-card-header"
        }, _ctx.ptm('header')), [
          renderSlot(_ctx.$slots, "header")
        ], 16 /* FULL_PROPS */))
      : createCommentVNode("v-if", true),
    createElementVNode("div", mergeProps({ class: "p-card-body" }, _ctx.ptm('body')), [
      (_ctx.$slots.title)
        ? (openBlock(), createElementBlock("div", mergeProps({
            key: 0,
            class: "p-card-title"
          }, _ctx.ptm('title')), [
            renderSlot(_ctx.$slots, "title")
          ], 16 /* FULL_PROPS */))
        : createCommentVNode("v-if", true),
      (_ctx.$slots.subtitle)
        ? (openBlock(), createElementBlock("div", mergeProps({
            key: 1,
            class: "p-card-subtitle"
          }, _ctx.ptm('subtitle')), [
            renderSlot(_ctx.$slots, "subtitle")
          ], 16 /* FULL_PROPS */))
        : createCommentVNode("v-if", true),
      createElementVNode("div", mergeProps({ class: "p-card-content" }, _ctx.ptm('content')), [
        renderSlot(_ctx.$slots, "content")
      ], 16 /* FULL_PROPS */),
      (_ctx.$slots.footer)
        ? (openBlock(), createElementBlock("div", mergeProps({
            key: 2,
            class: "p-card-footer"
          }, _ctx.ptm('footer')), [
            renderSlot(_ctx.$slots, "footer")
          ], 16 /* FULL_PROPS */))
        : createCommentVNode("v-if", true)
    ], 16 /* FULL_PROPS */)
  ], 16 /* FULL_PROPS */))
}

script.render = render;
script.__file = "components/lib/card/Card.vue";

export { script as default };
